## python-rapidjson 1.4

=== Makefile ===
# -*- coding: utf-8 -*-
# :Project:   python-rapidjson -- Development Makefile
# :Author:    Lele Gaifax <lele@metapensiero.it>
# :License:   MIT License
# :Copyright: © 2017, 2018, 2019, 2020 Lele Gaifax
#

export TOPDIR := $(CURDIR)
ifdef VIRTUAL_ENV
export VENVDIR := $(VIRTUAL_ENV)
else
export VENVDIR := $(TOPDIR)/env
endif
export PYTHON := $(VENVDIR)/bin/python
export SHELL := /bin/bash
export SYS_PYTHON := $(shell which python3.7 || which python3)

all: rapidjson/license.txt virtualenv help

rapidjson/license.txt:
	git submodule update --init

rapidjson_exact_version.txt: .git/modules/rapidjson/FETCH_HEAD
	(cd rapidjson; git describe --tags) > $@

.PHONY: help
help::
	@printf "\nBuild targets\n"
	@printf   "=============\n\n"

help::
	@printf "build\n\tbuild the module\n"

.PHONY: build
build: virtualenv rapidjson_exact_version.txt
	$(PYTHON) setup.py build_ext --inplace

help::
	@printf "clean\n\tremove rebuildable stuff\n"

.PHONY: clean
clean:
	$(MAKE) -C docs clean
	rm -f *.so
	rm -rf build

help::
	@printf "distclean\n\tremove anything superfluous\n"

.PHONY: distclean
distclean:: clean
	rm -rf .tox build dist rapidjson_exact_version.txt
	git submodule deinit --all

help::
	@printf "doc\n\tbuild Sphinx documentation\n"

SPHINXBUILD := $(VENVDIR)/bin/sphinx-build

.PHONY: doc
doc:
	$(MAKE) -C docs SPHINXBUILD=$(SPHINXBUILD) html

help::
	@printf "check\n\trun the test suite\n"

PYTEST = $(VENVDIR)/bin/pytest $(PYTEST_OPTIONS)

.PHONY: check
check: build
	$(PYTEST) tests/
	LANG=C $(MAKE) -C docs SPHINXBUILD=$(SPHINXBUILD) doctest

help::
	@printf "benchmarks\n\trun the benchmarks\n"

.PHONY: benchmarks
benchmarks: build
	$(PYTEST) benchmarks/

help::
	@printf "benchmarks-others\n\trun the benchmarks against other engines\n"

.PHONY: benchmarks-others
benchmarks-others: PYTEST_OPTIONS = --compare-other-engines
benchmarks-others: benchmarks

help::
	@printf "benchmarks-tables\n\tproduce a reST table out of benchmarks-others results\n"

.PHONY: benchmarks-tables
benchmarks-tables: PYTEST_OPTIONS = --compare-other-engines --benchmark-json=comparison.json
benchmarks-tables: benchmarks
	$(PYTHON) benchmarks/tablize.py | tee docs/benchmarks-tables.rst

include Makefile.virtualenv
include Makefile.release

=== requirements.txt ===
# -*- coding: utf-8; mode: conf-unix -*-
# :Project:   python-rapidjson -- Development requirements
# :Author:    Lele Gaifax <lele@metapensiero.it>
# :License:   MIT License
# :Copyright: © 2017, 2018, 2019, 2020, 2021 Lele Gaifax
#

-r requirements-test.txt

# Needed by make release
metapensiero.tool.bump-version==1.3
readme-renderer==24.0
twine==1.13.0

# Needed by make benchmarks-*
pytest-benchmark==3.2.2

# Keep in sync with benchmarks/tablize.py versions
pysimdjson==4.0.0
orjson==3.5.3
simplejson==3.17.2
ujson==4.0.2

=== docs/Makefile ===
# Minimal makefile for Sphinx documentation
#

# You can set these variables from the command line.
SPHINXOPTS    =
SPHINXBUILD   = $(PYTHON) -msphinx
SPHINXPROJ    = python-rapidjson
SOURCEDIR     = .
BUILDDIR      = _build

# Put it first so that "make" without argument is like "make help".
help:
	@$(SPHINXBUILD) -M help "$(SOURCEDIR)" "$(BUILDDIR)" $(SPHINXOPTS) $(O)

.PHONY: help Makefile

# Catch-all target: route all unknown targets to Sphinx using the new
# "make mode" option.  $(O) is meant as a shortcut for $(SPHINXOPTS).
%: Makefile
	@$(SPHINXBUILD) -M $@ "$(SOURCEDIR)" "$(BUILDDIR)" $(SPHINXOPTS) $(O)

=== debian/changelog ===
python-rapidjson (1.4-3build2) resolute; urgency=medium

  * No-change rebuild with Python 3.14 as supported version

 -- Graham Inggs <ginggs@ubuntu.com>  Sat, 18 Oct 2025 14:10:17 +0000

python-rapidjson (1.4-3build1) plucky; urgency=medium

  * No-change rebuild with Python 3.13 only

 -- Graham Inggs <ginggs@ubuntu.com>  Wed, 05 Mar 2025 00:19:43 +0000

python-rapidjson (1.4-3) unstable; urgency=medium

  * Switch to pybuild (Closes: #1090601).
  * Add override_dh_auto_configure.
  * Add missing ${shlibs:Depends} in d/control.

 -- Thomas Goirand <zigo@debian.org>  Wed, 18 Dec 2024 23:16:38 +0100

python-rapidjson (1.4-2) unstable; urgency=medium

  * Rebuilt source-only.

 -- Thomas Goirand <zigo@debian.org>  Wed, 22 Sep 2021 14:26:30 +0200

python-rapidjson (1.4-1) unstable; urgency=medium

  * Initial release. (Closes: #994539)

 -- Thomas Goirand <zigo@debian.org>  Fri, 17 Sep 2021 12:37:25 +0200

=== debian/control ===
Source: python-rapidjson
Section: python
Priority: optional
Maintainer: Debian OpenStack <team+openstack@tracker.debian.org>
Uploaders:
 Thomas Goirand <zigo@debian.org>,
Build-Depends:
 debhelper-compat (= 11),
 dh-python,
 openstack-pkg-tools,
 python3-all,
 python3-all-dev,
 python3-pytest,
 python3-setuptools,
 python3-sphinx,
 rapidjson-dev,
Standards-Version: 4.5.1
Vcs-Browser: https://salsa.debian.org/openstack-team/python/python-rapidjson
Vcs-Git: https://salsa.debian.org/openstack-team/python/python-rapidjson.git
Homepage: https://github.com/python-rapidjson/python-rapidjson

Package: python3-rapidjson
Architecture: any
Depends:
 ${misc:Depends},
 ${python3:Depends},
 ${shlibs:Depends},
Suggests:
 python-rapidjson-doc,
Description: Python wrapper around rapidjson
 RapidJSON is an extremely fast C++ JSON parser and serialization library: this
 module wraps it into a Python 3 extension, exposing its
 serialization/deserialization (to/from either bytes, str or file-like
 instances) and JSON Schema validation capabilities.

Package: python-rapidjson-doc
Section: doc
Architecture: all
Depends:
 ${misc:Depends},
 ${sphinxdoc:Depends},
Description: Python wrapper around rapidjson - doc
 RapidJSON is an extremely fast C++ JSON parser and serialization library: this
 module wraps it into a Python 3 extension, exposing its
 serialization/deserialization (to/from either bytes, str or file-like
 instances) and JSON Schema validation capabilities.
 .
 This package contains the documentation.

=== debian/rules ===
#!/usr/bin/make -f

UPSTREAM_GIT := https://github.com/python-rapidjson/python-rapidjson
include /usr/share/openstack-pkg-tools/pkgos.make

%:
	dh $@ --buildsystem=pybuild --with python3,sphinxdoc

override_dh_auto_configure:
	echo "Do nothing..."

override_dh_auto_clean:
	rm -rf build .stestr
	find . -iname '*.pyc' -delete
	for i in $$(find . -type d -iname __pycache__) ; do rm -rf $$i ; done

override_dh_auto_build:
	echo "Do nothing..."

override_dh_auto_install:
	echo "Do nothing..."

override_dh_install:
	set -e ; set -x ; for pyvers in $(PYTHON3S) ; do \
		python$$pyvers setup.py install --install-layout=deb --root $(CURDIR)/debian/tmp --rj-include-dir=/usr/include/rapidjson ; \
	done

ifeq (,$(findstring nocheck, $(DEB_BUILD_OPTIONS)))
	echo "No tests for now..."
#	set -e ; set -x ; for pyvers in $(PYTHON3S); do \
#		PYTHONPATH=$(CURDIR)/debian/tmp/usr/lib/python3/dist-packages python$$pyvers -m pytest tests ; \
#	done
endif
	dh_install

override_dh_auto_test:
	echo "Do nothing..."

override_dh_sphinxdoc:
ifeq (,$(findstring nodoc, $(DEB_BUILD_OPTIONS)))
	PYTHONPATH=. python3 -m sphinx -b html docs $(CURDIR)/debian/python-rapidjson-doc/usr/share/doc/python-rapidjson-doc/html
	dh_sphinxdoc
endif

=== debian/watch ===
version=3
opts=uversionmangle=s/(rc|a|b|c)/~$1/ \
https://pypi.debian.net/python-rapidjson/python-rapidjson-(.+)\.(?:zip|tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))
